<ng-container *ngIf="error$ | async as errorListar">
    <app-page-error [payload]="errorListar"></app-page-error>
</ng-container>

<ng-container *ngIf="loading$ | async">
    <app-page-loading/>
</ng-container>

<ng-container *ngIf="clientes$ | async as listaClientes">
    <app-title titulo="Clientes"></app-title>

    <div class="card">
        <p-toolbar>
        <div class="p-toolbar-group-start">
            <p-button icon="pi pi-plus" [routerLink]="['/clientes/crear']" class="mr-2"/>
        </div>
        <div class="p-toolbar-group-center">
            <span class="p-input-icon-left">
                <i class="pi pi-search"></i>
                <p-autoComplete 
                    (completeMethod) ="search($event)" 
                    (onKeyUp)        ="onEnter($event)"
                    (onSelect)       ="onSelect($event)" 
                    [(ngModel)]      ="selectedValue" 
                    [suggestions]    ="(suggestions$| async)!" 
                    placeholder      ="Search"
                >
                </p-autoComplete>
            </span>
        </div>
        <div class="p-toolbar-group-end">
            <p-menubar [model]="items">
            </p-menubar>
        </div>
        </p-toolbar>
    </div>

    <p-table 
        [value]="listaClientes" 
        styleClass="p-datatable-striped" 
        [tableStyle]="{'min-width': '50rem'}">
            <ng-template pTemplate="header">
                <tr>
                    <th>Nit</th>
                    <th>Nombre</th>
                    <th>Email</th>
                    <th>Options</th>
                </tr>
            </ng-template>
            <ng-template pTemplate="body" let-cliente>
                <tr>
                    <td>{{cliente.nit}}</td>
                    <td>{{cliente.nombre}}</td>
                    <td>{{cliente.email}}</td>
                    <td>
                        <div class="flex flex-wrap gap-3 mb-4">
                            <p-button icon="pi pi-times" [rounded]="true" severity="danger" (click)="onDesactivarCliente(cliente.id)" />
                            <p-button icon="pi pi-pencil" [rounded]="true"  [routerLink]="['/clientes/cliente', cliente.id]"/>
                        </div>
                    </td>
                </tr>
            </ng-template>
    </p-table>
    <p-paginator 
    (onPageChange)="onPageChange($event)" 
    [rows]="rows" 
    [totalRecords]="totalElements" 
    [rowsPerPageOptions]="[10, 20, 30]" />
</ng-container>


